#ifndef GAME_H
#define GAME_H

#include "share.h"

#define MAX_CHARACS 10000

struct Charac
{
  int kind,phase,go,old_go,sk,am,hit_ph,shot_ph,finish_t,walk_ph;
  fix th,px,py,w,h,vx,vy,sp;
  bool access,face_l,dead,grounded;
  Charac *pa;

  void init(int,int,int);
  fix seat_x();
  fix seat_y();
  fix speed();
  fix max_speed();
  void move();
  bool hurt();
  void think();
  void draw();
};

extern int n_characs;
extern Charac C[MAX_CHARACS];


bool two_body(Charac *p1,Charac *p2);

void add_charac(int x,int y,int k);
bool produce_cast(int entry);

#endif
